Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class ModifyRegistration

    java.lang.Object
      org.jboss.portal.wsrp.core.ModifyRegistration

All Implemented Interfaces:
  java.io.Serializable

    public class ModifyRegistration

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected RegistrationContext` | `registrationContext`
`protected RegistrationData` | `registrationData`

Constructor Summary
`ModifyRegistration()`
`ModifyRegistration(RegistrationContext registrationContext, RegistrationData registrationData)`

Method Summary
`RegistrationContext` | `getRegistrationContext()`
`RegistrationData` | `getRegistrationData()`
`void` | `setRegistrationContext(RegistrationContext registrationContext)`
`void` | `setRegistrationData(RegistrationData registrationData)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### registrationContext

    protected RegistrationContext registrationContext

### registrationData

    protected RegistrationData registrationData

Constructor Detail

### ModifyRegistration

    public ModifyRegistration()

### ModifyRegistration

    public ModifyRegistration(RegistrationContext registrationContext,
                              RegistrationData registrationData)

Method Detail

### getRegistrationContext

    public RegistrationContext getRegistrationContext()

### setRegistrationContext

    public void setRegistrationContext(RegistrationContext registrationContext)

### getRegistrationData

    public RegistrationData getRegistrationData()

### setRegistrationData

    public void setRegistrationData(RegistrationData registrationData)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD